<?php

class rhce_dummy_events {
	function __construct(){
		add_filter( 'rhc_get_events_set', array( &$this, 'rhc_get_events_set' ), 10, 3 );
	}
	
	function rhc_get_events_set( $events, $args, $request ){
		//-- add a sample event if the calendar would be empty.

		if( isset( $request['csse'] ) && intval($request['csse']) > 0 && count( $events ) == 0 ){

			$tmp = array(
				'id'			=> '1',
				'local_id'		=> '-1',
				'title'			=> 'Lorem Ipsum',
				'start'			=> date('Y-m-d') . ' 12:00:00',
				'end'			=> date('Y-m-d') . ' 13:00:00',
				'url'			=> site_url('/'),
				'description'	=> 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.',
				'image'			=> '',
				'image_full'	=> '',
				'terms'			=> array(),
				'fc_click_link' => 'view',
				'menu_order'	=> 0,
				'allDay'		=> '',
				'fc_start'		=> date('Y-m-d'),
				'fc_start_time'	=> '12:00:00',
				'fc_end'		=> date('Y-m-d'),
				'fc_end_time'	=> '13:00:00',
				'color'			=> '#',
				'textColor'		=> '#',
				'fc_click_target' => '_self'
			);
			
			$events[] = $tmp;
		}
		return $events;
	}
	
}